Subject: [BEHAVE] What is the purpose to consider the non-standard IPv6 address formats in NSP discovery using WKN?

From: "lizhenqiang" <[email-masked]>
Date: Thu, 30 Jun 2011 19:10:21 +0800

Hello Everyone,

Setion 3.2 of draft-ietf-behave-nat64-discovery-heuristic-01 considers non-standard IPv6 address formats. I want to know the purpose. This condition violates what is described in RFC6052.Why not treat this condition as error? Even after performing more complex heuristics, a node finds the IPv4 address for the WKN, the node is difficult to decide the NSP from the returned IPv6 address.

Best Regards,
Zhenqiang Li
2011-06-30

---

From: [email-masked]
Date: Fri, 1 Jul 2011 10:28:59 +0800

Hi Teemu and all,

Do you mean RFC6052 needs to be improved?
I still do not see the reason to standardize the behavior that does not follow the standards. If some guy or node wants to do some private thing in the specific environment, just let him do it, we do not need to and can not say anything about him. Private behavior is out of the scope of a public standard.

Technically, if we can not detect the NSP correctly after the heuristics, why to do it? 

I suggest revome this section. Or just mention some words like "NSP discovery from the non-standard IPv6 address formats is out of the scope of this document".

Best Regards,
Zhenqiang Li
2011-07-01 

-----Original Message-----
From:[email-masked] 
Sent: 2011-07-01  03:13:47 
To:  [email-masked]; [email-masked] 
Subject: RE: [BEHAVE] What is the purpose to consider the non-standard IPv6address formats in NSP discovery u 
 
Hi,

I wrote the text thinking that networks may some day have some reason to not follow RFC6052 guidance for the address format (or even new formats may be designed by IETF), but host at the same time has need to be able to detect the NSP.

Of the section 3.2 I agree cases 2 and 3 are quite long shots (and could be removed I think), but the case 1 of just different alignment of IPv4 address in NSP would be more reasonable to support.

The ability to fetch out NSP (suffix etc) correctly of non-standard format is of course a challenge (but failing connection is often bad user experience).

On the other hand, I don't see why a node should not attempt to detect non-standard NSP.

Best regards,

Teemu

-----Original Message-----
From: ext [email-masked]
Sent:  30/06/2011, 14:17
To: [email-masked]
Subject: [BEHAVE] What is the purpose to consider the non-standard IPv6 address formats in NSP discovery using WKN?

Hello Everyone,

Best Regards,
Zhenqiang Li
2011-06-30
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave